{
    attributes = (
        {
            columnName = "DEP_HT_SAISIE"; 
            externalType = NUMBER; 
            name = depHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DEP_ID_REVERSEMENT"; 
            externalType = NUMBER; 
            name = depIdReversement; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DEP_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = depMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = depTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = depTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DPP_ID"; 
            externalType = NUMBER; 
            name = dppId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TAP_ID"; 
            externalType = NUMBER; 
            name = tapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (depId); 
    className = "org.cocktail.maracuja.server.metier.depense.EOJDDepenseBudget"; 
    classProperties = (
        depHtSaisie, 
        depMontantBudgetaire, 
        depTtcSaisie, 
        toDepenseBudgetOrigineReversement, 
        toDepenseCtrlConventions
    ); 
    externalName = "jefy_depense.DEPENSE_BUDGET"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            depHtSaisie, 
            depMontantBudgetaire, 
            depTtcSaisie, 
            toDepenseBudgetOrigineReversement, 
            toDepenseCtrlConventions
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.depense.EOJDDepenseBudget"; 
    }; 
    isReadOnly = Y; 
    name = JDDepenseBudget; 
    primaryKeyAttributes = (depId); 
    relationships = (
        {
            destination = JDDepenseBudget; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depIdReversement; }); 
            name = toDepenseBudgetOrigineReversement; 
        }, 
        {
            destination = JDDepenseCtrlConvention; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = toDepenseCtrlConventions; 
        }
    ); 
}
